Modify

Opened 9 months ago

Closed 6 months ago

Last modified 6 months ago

#19569 closed defect (irreproducible)

JOSM freezes after pushing the upload button

Reported by: anonymous Owned by: anonymous
Priority: normal Milestone:
Component: Core Version: latest
Keywords: Cc: Protoxenus

Description


Attachments (1)

Datenebene 1_20200722_073254048.osm (1.1 MB) - added by protoxenus@… 9 months ago.
autosaved file

Download all attachments as: .zip

Change History (21)

Changed 9 months ago by protoxenus@…

autosaved file

comment:1 Changed 9 months ago by protoxenus@…

JOSM_latest: 16801

System: Kernel: 5.4.0-40-generic x86_64 bits: 64 compiler: gcc v: 9.3.0 Desktop: Cinnamon 4.6.6

wm: muffin dm: LightDM Distro: Linux Mint 20 Ulyana base: Ubuntu 20.04 focal

Graphics: Device-1: Intel Core Processor Integrated Graphics vendor: Sony driver: i915 v: kernel

bus ID: 00:02.0 chip ID: 8086:0046
Device-2: NVIDIA GT216M [GeForce GT 330M] vendor: Sony driver: N/A bus ID: 01:00.0
chip ID: 10de:0a2b
Display: x11 server: X.Org 1.20.8 driver: modesetting unloaded: fbdev,vesa
resolution: 1600x900~60Hz
OpenGL: renderer: Mesa DRI Intel HD Graphics (ILK) v: 2.1 Mesa 20.0.8
direct render: Yes

No further informations available -> JOSM is still frozen

I did not found any log file.

comment:2 Changed 9 months ago by anonymous

Summary: JOSM freeses after pushing the upload buttonJOSM freezes after pushing the upload button

comment:3 Changed 9 months ago by protoxenus@…

It could be ab problem of the amound of data. When I upload the edits more often (smaller files) JOSM works without probs.

comment:4 Changed 9 months ago by skyper

Thanks for your report, however your ticket is incomplete and therefore not helpful in its current form.

Please add all needed information according to this list:

  • The required parts of the Status Report from your JOSM.
  • Describe what behaviour you expected.
  • Describe what did happen instead.
  • Describe if and how the issue is reproducible.
  • Add any relevant information like error messages or screenshots.

To ensure that all technical relevant information is contained, create new tickets by clicking in JOSMs Main Menu on Helpsource:trunk/resources/images/bug.svg Report Bug.



How much memory is assigned ?
Are there any plugins installed?
Which java version?
Is it a local build?

There is no log file but you can start from a terminal and additionally use different debug levels, see wikitr:/Help/CommandLineOptions.
In case of a stall a heap dump might be useful.

The description so far, looks like JOSM runs out of memory for/on the validation before upload which explains why there is no problem with less data.

comment:5 Changed 9 months ago by skyper

Owner: changed from team to anonymous
Status: newneedinfo

comment:6 Changed 9 months ago by skyper

Owner: changed from anonymous to Protoxenus
Status: needinfonew

comment:7 Changed 9 months ago by skyper

Owner: changed from Protoxenus to anonymous
Status: newneedinfo

comment:8 Changed 9 months ago by anonymous

I try to answer the questions:

How much memory is assigned ?

No value assigned at startup.
According system monitoring:
-java 590,6 MiB
-JOSM 320,0 KiB

Are there any plugins installed?

Yes

  • contnousDownload
  • mmeasurement
  • pdfimport
  • pt_assistant
  • reverter
  • routes
  • SeaChart
  • SeaMapEditor
  • tageditor
  • turnlanes
  • turnlanes-tagging
  • turnrestrictions
  • undelete

All plugins will update at startup.

Which java version?

openjdk-11-jre 11.0.7+10-3

Is it a local build?

no

There is no log file but you can start from a terminal and additionally use different debug levels, see wikitr:/Help/CommandLineOptions.
In case of a stall a heap dump might be useful.

Sorry, I'm too stupid to rum JOSM from preferences in debug mode. I found 2 times prefs, but with both JOSM was starting without plugins.

comment:9 Changed 9 months ago by simon04

Resolution: needinfo
Status: needinfoclosed

comment:4 clearly requests

Please, use Report Bug from Help menu and copy & paste.

We really mean it!

comment:10 Changed 9 months ago by anonymous

I'm sorry,
what, with all due respect, is so unintelligible about the word "frozen"? When a program is frozen, you have not, I repeat -> have not <- access to the software. That means I can't get any error messages from any help menu. The only access I have left is to shoot Java from the system monitor.
I have now found another way to use JOSM: I'm running it through IcedTeaWeb.

comment:11 in reply to:  10 Changed 9 months ago by Klumbumbus

Replying to anonym:

I can't get any error messages from any help menu.

After it froze, kill JOSM, restart JOSM and then do "Help" -> "Report bug" and copy the text here.

comment:12 Changed 8 months ago by protoxenus@…

Hi,
I found a log but I'm not sure if it is the right one.

Hope it is helpfull.

Protoxenus

comment:13 Changed 8 months ago by Klumbumbus

status report from Protoxenus (was stuck in Spam filter):

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-06-02 08:27:29 +0200 (Tue, 02 Jun 2020)
Revision:16538
Build-Date:2020-06-02 11:11:35
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (16538 de) Linux Ubuntu 20.04.1 LTS
Memory Usage: 1012 MB / 8008 MB (699 MB allocated, but free)
Java version: 11.0.8+10-post-Ubuntu-0ubuntu120.04, Ubuntu, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 3840x2160
Maximum Screen Size: 3840x2160
Java package: openjdk-11-jre:amd64-11.0.8+10-0ubuntu1~20.04
Java ATK Wrapper package: libatk-wrapper-java:all-0.37.1-1
fonts-noto: fonts-noto:-
VM arguments: [-Djosm.restart=true, -Djava.net.useSystemProxies=true]
Program arguments: [${HOME}/Dokumente/OSM-Zwischenspeicher/Bilder/2020-08-10 LY-HRO/2020_08_10_09_53_51_117_+0200/2020_08_10_09_53_51_117_+0200.gpx]

Plugins:
+ BuildingGeneralization (23)
+ CADTools (1008)
+ CustomizePublicTransportStop (35248)
+ ImproveWay (29)
+ Mapillary
+ OpenStreetCam
+ OpeningHoursEditor (35414)
+ SaudiNationalAddress (35374)
+ SeaChart (35483)
+ SeaMapEditor (35480)
+ apache-commons (35362)
+ apache-http (35092)
+ buildings_tools (35500)
+ continuosDownload (91)
+ ejml (35313)
+ graphview (35405)
+ gson (35313)
+ importvec (35499)
+ jna (35092)
+ jts (35122)
+ log4j (35092)
+ openqa (0.1.10)
+ osm-obj-info (56)
+ pdfimport (35494)
+ reverter
+ turnrestrictions
+ undelete (35499)
+ utilsplugin2

Tagging presets:
+ https://raw.githubusercontent.com/OpenNauticalChart/josm/master/Presets_Hafen.xml
+ https://www.openrailwaymap.org/josm-presets/de-signals-eso.zip
+ https://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
+ https://raw.githubusercontent.com/OpenNauticalChart/josm/master/INT-1-preset.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/OpenSeaMap-PresetForSeamarks&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Stolpersteine&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Surveillance&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/public_bookcase&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/caravan_site&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/pedestrian_crossings_in_DE&zip=1
+ https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/Diving&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/ParkingLanes&zip=1
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/DE.zip
+ https://www.openrailwaymap.org/josm-presets/de.zip

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://www.openrailwaymap.org/styles/signals.zip
- https://www.openrailwaymap.org/styles/maxspeed.zip
- https://www.openrailwaymap.org/styles/josm-additional.zip
+ https://josm.openstreetmap.de/josmfile?page=Styles/Enhanced_Lane_and_Road_Attributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/ColourTag&zip=1

Last errors/warnings:
- E: Defekte Vorlage "waste-waste" - Die Anzahl der Datenworte in 'display_values' und in 'values' müssen gleich sein
- E: Detaillierte Information: [Hausmüll,  Plastik(gelbe Tonne),  ölhaltige Abfälle,  Biomüll,  Hundekot,  medizinische oder pharmazeutische Abfälle] <> [trash, plastic, organic, oil, dog_excrement, scrap_metal, rubble, drugs]
- W: Cannot lock cache directory. Will not use disk cache
- W: Achtung - <html>Die Erweiterung OpenStreetCam erfordert JOSM Version 16731. Die aktuelle JOSM-Version ist 16538.<br>Um diese Erweiterung verwenden zu können, muss JOSM aktualisiert werden.</html>
- W: Achtung - <html>Die Erweiterung utilsplugin2 erfordert JOSM Version 16567. Die aktuelle JOSM-Version ist 16538.<br>Um diese Erweiterung verwenden zu können, muss JOSM aktualisiert werden.</html>
- W: Achtung - <html>Die Erweiterung turnrestrictions erfordert JOSM Version 16807. Die aktuelle JOSM-Version ist 16538.<br>Um diese Erweiterung verwenden zu können, muss JOSM aktualisiert werden.</html>
- E: Fehler - <html>Die Erweiterung Mapillary benötigt zusätzlich die folgende Erweiterung:<ul><li>javafx</li></ul></html>
- W: Achtung - <html>Die Erweiterung reverter erfordert JOSM Version 16719. Die aktuelle JOSM-Version ist 16538.<br>Um diese Erweiterung verwenden zu können, muss JOSM aktualisiert werden.</html>
- W: Cannot start IPv4 remotecontrol server on port 8111: Die Adresse wird bereits verwendet (Bind failed)
- W: Cannot start IPv6 remotecontrol server on port 8111: Die Adresse wird bereits verwendet (Bind failed)

buildings_tool.shape=RECTANGLE
cache.bing.attribution.xml=1596637696
cache.capabilities1637351842=1596633904
cache.motd.html=1597156975
cache.motd.html.java=11.0.8
cache.motd.html.lang=De:
cache.motd.html.version=16538
changesetdialog.lastHeight=0
commandstack.lastHeight=0
conflict.lastHeight=220
conflict.visible=true
coordinates=DECIMAL_DEGREES
dialog.dynamic.buttons=true
display.discardable-keys=true
download.overpass.wizard=[cycleway=no, geschlossen,  type:node ; railway=*, name="Deutsche Tonstraße", Deutsche tONSTRAẞE, name="nicht geschlossen", natural=beach, multipolygon=beach, name="Rostocker Heide", railway=*, date:"2019-05-06T00:00:00Z", date:"2018-05-06T00:00:00Z", name=Primerwald, ref="B 103" & type:relation, ref="B 103" & route=* & type=relation]
draw.dialogspanel=false
draw.rawgps.colormode=0
draw.rawgps.lines=2
draw.segment.direction=true
draw.show-user=true
expert=true
filter.buttonhiding=ALWAYS_SHOWN
filter.lastHeight=0
geoimage.docked=false
geoimage.geometry=x=0,y=490,width=1064,height=1454
geoimage.lastHeight=1413
geoimage.timezone=+1:00
graphview.activeBookmark=motorcar
graphview.lastHeight=0
graphview.parameterBookmarks=bicycle;bicycle;types={YES,PERMISSIVE,DESIGNATED,UNDEFINED};properties={}|motorcar;motorcar;types={YES,PERMISSIVE,DESIGNATED,UNDEFINED};properties={}|pedestrian;foot;types={YES,PERMISSIVE,DESIGNATED,UNDEFINED};properties={}|hgv (3.5 t);hgv;types={YES,PERMISSIVE,DESIGNATED,UNDEFINED};properties={WEIGHT=3.5}
graphview.rulesetFolder=${HOME}
graphview.rulesetResource=GERMANY
gui.geometry=x=0,y=0,width=1693,height=2160
gui.maximized=true
iconosmobjid.lastHeight=206
iconosmobjid.visible=true
imagery.entries=[{name=Bing Luftbild, id=Bing, type=bing, url=https://www.bing.com/maps/, permission-reference-url=https://wiki.openstreetmap.org/wiki/Bing_Maps, max-zoom=22, min-zoom=1, cookies=, icon=data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgBAMAAACBVGfHAAAALVBMVEUMhIT///8jj4/Z7Ozl8vJUqal/vr6+3t6Tycmo1NQxl5dutbXz+flBn5/M5eX9gIKtAAAAjUlEQVR4XmMgD6gFoQkoC7eiCQgKK6AJiNBEQGkBmoBW5S40LROFZyugCMQICloEIQuoCwoKCicgCbAJCgoKGiEJMCWjCTAwpaAJsBaiCnC1CCILCCslCwoKijQgVKQLCgoKliLcAQbWCqgCFgin6wkKCgqevIDwHO8cQUHxAAYkwFoonMSAArS7GCgAAKZlGg8L4DPrAAAAAElFTkSuQmCC, noTileHeaders={"X-VE-Tile-Info":["no-tile"]}, noTileChecksums={"MD5":["c13269481c73de6e18589f9fbc3bdf7e"]}, metadataHeaders={"X-VE-TILEMETA-CaptureDatesRange":"Capture Date"}, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=Esri Luftbilder, id=EsriWorldImagery, type=tms, url=https://{switch:services,server}.arcgisonline.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, max-zoom=22, cookies=, icon=data:image/png;base64,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, noTileHeaders={"Etag":["\"10i954m13i2\""]}, noTileChecksums={"MD5":["f27d9de7f80c13501f470595e327aa6d"]}, customHttpHeaders={}, transparent=true, minimumTileExpire=3600, category=photo}, {name=Esri World Luftbilder (Clarity) Beta, id=EsriWorldImageryClarity, type=tms, url=https://clarity.maptiles.arcgis.com/arcgis/rest/services/World_Imagery/MapServer/tile/{zoom}/{y}/{x}, attribution-text=Terms & Feedback, attribution-url=https://wiki.openstreetmap.org/wiki/Esri, permission-reference-url=https://github.com/osmlab/editor-layer-index/pull/358#issuecomment-361416110, max-zoom=22, cookies=, icon=data:image/png;base64,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

comment:14 Changed 8 months ago by stoecker

Wha. You should cleanup you system. Update the plugins, update JOSM, drop anything not needed, fix the waste-waste preset...

Also check why cache and remote control cannot be used (started JOSM twice)?

Very likely you have components which simply don't match. For JOSM we don't care about compatibility of older versions too much. Best is to always use newest version. Anyway it's strange that you have plugins requiring newer josm version. That is not possible when you use JOSM functions. Maybe you have multiple conflicting versions installed?

comment:15 in reply to:  14 Changed 8 months ago by Klumbumbus

Replying to stoecker:

fix the waste-waste preset

(Already done.)

comment:16 Changed 8 months ago by simon04

Resolution: needinfo
Status: closedreopened

comment:17 Changed 8 months ago by protoxenus@…

I've only been using Kubuntu for a few months to switch from Windows 10.
I installed JOSM via Dolphin and included the repository as explained on josm.openstreetmap.de.
Then this error occured. In order to be able to continue working reasonably, I use the webstart via IcedTeaWeb since then. This ran as far as possible trouble-free.
I will now remove the installation via Dolphin and see what happens.

comment:18 Changed 6 months ago by GerdP

Can we close this?

comment:19 Changed 6 months ago by Klumbumbus

Resolution: irreproducible
Status: reopenedclosed

comment:20 Changed 6 months ago by protoxenus@…

It seems that an an incompatibility of different plug ins was the cause. I had deleted all the plug ins and reactivated them one after another - no such problems at the moment.
Protoxenus

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain anonymous.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.